Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetBackground

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Background>
it.tdlight.jni.TdApi.SetBackground

Enclosing class:
  TdApi

public static final class TdApi.SetBackground extends TdApi.Function<TdApi.Background>
Changes the background selected by the user; adds background to the list of installed backgrounds.

Returns `Background`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.InputBackground`
`background`
The input background to use; pass null to create a new filled backgrounds or to remove the current background.
`static final int`
`CONSTRUCTOR`
`boolean`
`forDarkTheme`
True, if the background is chosen for dark theme.
`TdApi.BackgroundType`
`type`
Background type; pass null to use the default type of the remote background or to remove the current background.

## Constructor Summary

Constructors
Constructor
Description
`SetBackground()`
Changes the background selected by the user; adds background to the list of installed backgrounds.
`SetBackground(TdApi.InputBackground background, TdApi.BackgroundType type, boolean forDarkTheme)`
Changes the background selected by the user; adds background to the list of installed backgrounds.
`SetBackground(DataInput input)`
Changes the background selected by the user; adds background to the list of installed backgrounds.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### background

public TdApi.InputBackground background
The input background to use; pass null to create a new filled backgrounds or to remove the current background.

### type

public TdApi.BackgroundType type
Background type; pass null to use the default type of the remote background or to remove the current background.

### forDarkTheme

public boolean forDarkTheme
True, if the background is chosen for dark theme.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetBackground

public SetBackground()
Changes the background selected by the user; adds background to the list of installed backgrounds.

Returns `Background`

### SetBackground

public SetBackground(TdApi.InputBackground background, TdApi.BackgroundType type, boolean forDarkTheme)
Changes the background selected by the user; adds background to the list of installed backgrounds.

Returns `Background`

Parameters:
  `background` - InputBackground The input background to use; pass null to create a new filled backgrounds or to remove the current background.
  `type` - BackgroundType Background type; pass null to use the default type of the remote background or to remove the current background.
  `forDarkTheme` - boolean True, if the background is chosen for dark theme.

### SetBackground

public SetBackground(DataInput input) throws IOException
Changes the background selected by the user; adds background to the list of installed backgrounds.

Returns `Background`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`